classdef SensorMode < uint32
  % SensorMode
  %   Operating mode of the cameras' sensor
  %

  enumeration
    NORMAL (0) % Normal mode ToF sensor mod (A - B)
    COMMON (1) % Common mode (A + B)
    EXTERNAL_DEMOD (4) % Use external demodulation
    EXTERNAL_SIGNAL (5) % Use the light source as an input
    TAP_A (8) % Only tap a is read out
    TAP_B (9) % Only tap b is read out
    TAP_AB (10) % Both A and B tap are read out, this means double the data transmission
  end
end
